Package org.bukkit.scoreboard

# Enum Class DisplaySlot

java.lang.Object
java.lang.Enum<DisplaySlot>
org.bukkit.scoreboard.DisplaySlot

All Implemented Interfaces:
  `Serializable`, `Comparable<DisplaySlot>`, `Constable`

public enum DisplaySlot extends Enum<DisplaySlot>
Locations for displaying objectives to the player

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BELOW_NAME`
`PLAYER_LIST`
`SIDEBAR`
`SIDEBAR_TEAM_AQUA`
`SIDEBAR_TEAM_BLACK`
`SIDEBAR_TEAM_BLUE`
`SIDEBAR_TEAM_DARK_AQUA`
`SIDEBAR_TEAM_DARK_BLUE`
`SIDEBAR_TEAM_DARK_GRAY`
`SIDEBAR_TEAM_DARK_GREEN`
`SIDEBAR_TEAM_DARK_PURPLE`
`SIDEBAR_TEAM_DARK_RED`
`SIDEBAR_TEAM_GOLD`
`SIDEBAR_TEAM_GRAY`
`SIDEBAR_TEAM_GREEN`
`SIDEBAR_TEAM_LIGHT_PURPLE`
`SIDEBAR_TEAM_RED`
`SIDEBAR_TEAM_WHITE`
`SIDEBAR_TEAM_YELLOW`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Index<String,DisplaySlot>`
`NAMES`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getId()`
Get the string id of this display slot.
`String`
`toString()`
`static DisplaySlot`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DisplaySlot[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BELOW_NAME

public static final DisplaySlot BELOW_NAME

### PLAYER_LIST

public static final DisplaySlot PLAYER_LIST

### SIDEBAR

public static final DisplaySlot SIDEBAR

### SIDEBAR_TEAM_BLACK

public static final DisplaySlot SIDEBAR_TEAM_BLACK

### SIDEBAR_TEAM_DARK_BLUE

public static final DisplaySlot SIDEBAR_TEAM_DARK_BLUE

### SIDEBAR_TEAM_DARK_GREEN

public static final DisplaySlot SIDEBAR_TEAM_DARK_GREEN

### SIDEBAR_TEAM_DARK_AQUA

public static final DisplaySlot SIDEBAR_TEAM_DARK_AQUA

### SIDEBAR_TEAM_DARK_RED

public static final DisplaySlot SIDEBAR_TEAM_DARK_RED

### SIDEBAR_TEAM_DARK_PURPLE

public static final DisplaySlot SIDEBAR_TEAM_DARK_PURPLE

### SIDEBAR_TEAM_GOLD

public static final DisplaySlot SIDEBAR_TEAM_GOLD

### SIDEBAR_TEAM_GRAY

public static final DisplaySlot SIDEBAR_TEAM_GRAY

### SIDEBAR_TEAM_DARK_GRAY

public static final DisplaySlot SIDEBAR_TEAM_DARK_GRAY

### SIDEBAR_TEAM_BLUE

public static final DisplaySlot SIDEBAR_TEAM_BLUE

### SIDEBAR_TEAM_GREEN

public static final DisplaySlot SIDEBAR_TEAM_GREEN

### SIDEBAR_TEAM_AQUA

public static final DisplaySlot SIDEBAR_TEAM_AQUA

### SIDEBAR_TEAM_RED

public static final DisplaySlot SIDEBAR_TEAM_RED

### SIDEBAR_TEAM_LIGHT_PURPLE

public static final DisplaySlot SIDEBAR_TEAM_LIGHT_PURPLE

### SIDEBAR_TEAM_YELLOW

public static final DisplaySlot SIDEBAR_TEAM_YELLOW

### SIDEBAR_TEAM_WHITE

public static final DisplaySlot SIDEBAR_TEAM_WHITE

## Field Details

### NAMES

public static final Index<String,DisplaySlot> NAMES

## Method Details

### values

public static DisplaySlot[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DisplaySlot valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

@NotNull public @NotNull String getId()
Get the string id of this display slot.

Returns:
  the string id

### toString

public String toString()

Overrides:
  `toString` in class `Enum<DisplaySlot>`